<table class="table" *ngIf="state">
  <tr>
    <th>ID</th>
    <th>Name</th>
    <th>Price</th>
    <th>Quantity</th>
    <th>Selected</th>
    <th>Available</th>
  </tr>
  <app-product-item *ngFor="let product of state.products" [product]="product" style="display: contents">
  </app-product-item>
</table>
